Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.tck
Class AbstractComponentAdapterTest.RecordingLifecycleStrategy

    java.lang.Object
      org.picocontainer.tck.AbstractComponentAdapterTest.RecordingLifecycleStrategy

All Implemented Interfaces:
  org.picocontainer.LifecycleStrategy

Enclosing class:
  AbstractComponentAdapterTest

    public static final class AbstractComponentAdapterTest.RecordingLifecycleStrategy

extends Object
implements org.picocontainer.LifecycleStrategy

Constructor Summary
`AbstractComponentAdapterTest.RecordingLifecycleStrategy(StringBuffer recorder)`

Method Summary
`void` | `dispose(Object component)`
`boolean` | `hasLifecycle(Class type)`
`String` | `recording()`
`void` | `start(Object component)`
`void` | `stop(Object component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractComponentAdapterTest.RecordingLifecycleStrategy

    public AbstractComponentAdapterTest.RecordingLifecycleStrategy(StringBuffer recorder)

Method Detail

### start

    public void start(Object component)

  Specified by:
    `start` in interface `org.picocontainer.LifecycleStrategy`

### stop

    public void stop(Object component)

  Specified by:
    `stop` in interface `org.picocontainer.LifecycleStrategy`

### dispose

    public void dispose(Object component)

  Specified by:
    `dispose` in interface `org.picocontainer.LifecycleStrategy`

### hasLifecycle

    public boolean hasLifecycle(Class type)

  Specified by:
    `hasLifecycle` in interface `org.picocontainer.LifecycleStrategy`

### recording

    public String recording()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.